cURL
curl --request GET \
--url https://us.infisical.com/api/v1/secret-syncsimport requests
url = "https://us.infisical.com/api/v1/secret-syncs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/secret-syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretSyncs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"syncOptions": {
"initialSyncBehavior": "overwrite-destination",
"keySchema": "<string>",
"disableSecretDeletion": true,
"keyId": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"syncSecretMetadataAsTags": true
},
"connection": {
"app": "aws",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"folder": {
"id": "<string>",
"path": "<string>"
},
"destination": "aws-parameter-store",
"destinationConfig": {
"region": "us-east-1",
"path": "<string>"
},
"description": "<string>",
"isAutoSyncEnabled": true,
"version": 1,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncJobId": "<string>",
"lastSyncMessage": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"importStatus": "<string>",
"lastImportJobId": "<string>",
"lastImportMessage": "<string>",
"lastImportedAt": "2023-11-07T05:31:56Z",
"removeStatus": "<string>",
"lastRemoveJobId": "<string>",
"lastRemoveMessage": "<string>",
"lastRemovedAt": "2023-11-07T05:31:56Z"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Secret Syncs
List
List all the Secret Syncs for the specified project.
GET
/
api
/
v1
/
secret-syncs
cURL
Query Parameters
The ID of the project to list Secret Syncs from.
Minimum string length:
1Response
Default Response
secretSyncs
(AWS Parameter Store · object | AWS Secrets Manager · object | GitHub · object | GCP Secret Manager · object | Azure Key Vault · object | Azure App Configuration · object | Azure DevOps · object | Databricks · object | Humanitec · object | Terraform Cloud · object | Camunda · object | Vercel · object | Windmill · object | Hashicorp Vault · object | TeamCity · object | OCI Vault · object | 1Password · object | Heroku · object | Render · object | Fly.io · object | GitLab · object | Cloudflare Pages · object | Cloudflare Workers · object | Supabase · object | Zabbix · object | Railway · object | Checkly · object | Digital Ocean App Platform · object | Netlify · object | Northflank · object | Bitbucket · object | Laravel Forge · object | Chef · object | Octopus Deploy · object | CircleCI · object | Azure Entra ID SCIM · object | Infisical · object | OVH · object | Devin · object | Ona · object | Travis CI · object | Snowflake · object)[]
required
- AWS Parameter Store
- AWS Secrets Manager
- GitHub
- GCP Secret Manager
- Azure Key Vault
- Azure App Configuration
- Azure DevOps
- Databricks
- Humanitec
- Terraform Cloud
- Camunda
- Vercel
- Windmill
- Hashicorp Vault
- TeamCity
- OCI Vault
- 1Password
- Heroku
- Render
- Fly.io
- GitLab
- Cloudflare Pages
- Cloudflare Workers
- Supabase
- Zabbix
- Railway
- Checkly
- Digital Ocean App Platform
- Netlify
- Northflank
- Bitbucket
- Laravel Forge
- Chef
- Octopus Deploy
- CircleCI
- Azure Entra ID SCIM
- Infisical
- OVH
- Devin
- Ona
- Travis CI
- Snowflake
Show child attributes
Show child attributes
Was this page helpful?